/*
 * @Author: Dimitrios Katsaros
 * @Date:   2017-10-18
 */

#ifndef __QTEC_LIB_CORE_ERROR_H__
#define __QTEC_LIB_CORE_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS
#define QTEC_CORE_ERROR (qtec_core_error_quark())
GQuark qtec_core_error_quark(void);

typedef enum {
	QTEC_CORE_ERROR_PARAM_NOT_SET,
	QTEC_CORE_ERROR_NET,
	QTEC_CORE_ERROR_PARSE,
	QTEC_CORE_ERROR_PARSE_MISSING_ARRAY_ELEMS,
	QTEC_CORE_ERROR_IOCTL,
} QtecCoreError;

G_END_DECLS
#endif /* __QTEC_LIB_CORE_ERROR_H__ */
