/*
 * @Author: Marianna S Buschle
 * @Date:   2018-06-25
 */

#ifndef __QTEC_LIB_GEOMETRY_ERROR_H__
#define __QTEC_LIB_GEOMETRY_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS
#define QTEC_GEOMETRY_ERROR (qtec_geometry_error_quark())

GQuark qtec_geometry_error_quark(void);

typedef enum {
	QTEC_GEOMETRY_ERROR_FAILED,
	QTEC_GEOMETRY_ERROR_NUM_ERRORS,
} QtecGeometryError;

G_END_DECLS
#endif /* __QTEC_LIB_GEOMETRY_ERROR_H__ */
