/*
 * @Author: Dimitrios Katsaros
 * @Date:   2017-10-18
 */

/*
 * Command line option group for core
 */

#ifndef __QTEC_LIB_V4L2_ERROR_H__
#define __QTEC_LIB_V4L2_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS
#define QTEC_V4L2_ERROR (qtec_v4l2_error_quark())

typedef enum {
	QTEC_V4L2_ERROR_DEV_OPEN_FAILED,
} QtecV4l2Error;

GQuark qtec_v4l2_error_quark(void);

G_END_DECLS
#endif
