/*
 * @Author: Dimitrios Katsaros
 * @Date:   2018-06-27
 */

#ifndef __QTEC_LIB_V4L2_ITERATORS_H__
#define __QTEC_LIB_V4L2_ITERATORS_H__

#include <qtec/core/iterator.h>

G_BEGIN_DECLS

QtecIterator *qtec_v4l2_query_iterator_new(QtecV4l2Dev *dev,
					   gboolean subscribe_events,
					   gboolean allow_event_feedback);
QtecIterator *qtec_v4l2_query_menu_iterator_new(QtecV4l2Dev *dev, guint ctrlid);

/* setting ctrlclassid to zero will iterate all the available controls */
QtecIterator *qtec_v4l2_get_ext_ctrl_iterator_new(QtecV4l2Dev *dev,
						  guint ctrlclassid);

G_END_DECLS
#endif
