/*
 * @Author: Rohollah Javaheri
 * @Date:   2019-06-28
 */

/*
 * A set of color conversion functions pertaining QtecArrays
 */

#ifndef __QTEC_LIB_COLOR_H__
#define __QTEC_LIB_COLOR_H__

#include <glib.h>

G_BEGIN_DECLS

gboolean qtec_color_hsv_to_rgb(gint64 h, gint64 s, gint64 v, gint64 *r,
			       gint64 *g, gint64 *b);

G_END_DECLS
#endif
