/*
* @Author: Dimitrios Katsaros
* @Date:   2017-05-04 11:43:45
*/

#ifndef __QTEC_LIB_CONVOLUTION_ERROR_H__
#define __QTEC_LIB_CONVOLUTION_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS
#define QTEC_CONV_ERROR qtec_conv_error_quark()
GQuark qtec_conv_error_quark(void);

typedef enum {
	QTEC_CONV_ERROR_FAILED,
	QTEC_CONV_ERROR_CONTROL_MISSING,
	QTEC_CONV_ERROR_GET_CONTROL,
	QTEC_CONV_ERROR_SET_CONTROL,
	QTEC_CONV_ERROR_INVALID_CHANNEL,
	QTEC_CONV_ERROR_INVALID_TYPE,
	QTEC_CONV_ERROR_INVALID_KERNEL_SIZE,
	QTEC_CONV_ERROR_INVALID_KERNEL_ELEMENT,
	QTEC_CONV_ERROR_VALUE_OUT_OF_RANGE,
	QTEC_CONV_ERROR_NUM_ERRORS,
} QtecConvError;

G_END_DECLS
#endif /* __QTEC_LIB_CONVOLUTION_KERNEL_ERROR_H__ */
