/*
* @Author: Dimitrios Katsaros
* @Date:   2017-05-04
*/

#ifndef __QTEC_LIB_LUT_ERROR_H__
#define __QTEC_LIB_LUT_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS
#define QTEC_LUT_ERROR (qtec_lut_error_quark())

GQuark qtec_lut_error_quark(void);

typedef enum {
	QTEC_LUT_ERROR_FAILED,
	QTEC_LUT_ERROR_CONTROL_MISSING,
	QTEC_LUT_ERROR_GET_CONTROL_FAILED,
	QTEC_LUT_ERROR_SET_CONTROL_FAILED,
	QTEC_LUT_ERROR_INVALID_LUT_CHANNEL,
	QTEC_LUT_ERROR_INVALID_THRESHOLD_TYPE,
	QTEC_LUT_ERROR_OUT_OF_RANGE,
	QTEC_LUT_ERROR_INVALID_TYPE,
	QTEC_LUT_ERROR_GET_VALUE,
	QTEC_LUT_ERROR_SET_VALUE,
	QTEC_LUT_ERROR_NUM_ERRORS,
} QtecLutError;

G_END_DECLS
#endif /* __QTEC_LIB_LUT_ERROR_H__ */
